/*+
 * Module Name:	GloDef.H
 *
 * Description:
 *	Definitions for GloTeX data structures
 *
 * Author:	R L Aurbach	CR&DS MIS Group    17-Aug-1986
 *
 * Modification History:
 *
 * Version     Initials	   Date		Description
 * ------------------------------------------------------------------------
 * 1-001	RLA	17-Aug-1986	Original Code
-*/

#ifndef		DSC$K_DTYPE_T
#include	descrip
#endif

/* Definitions							*/

#define		TRUE	    1
#define		FALSE	    0
#define		STRDYN	    { 0, DSC$K_DTYPE_T, DSC$K_CLASS_D, 0 }

#define		NONE	    0
#define		ARTICLE	    1
#define		REPORT	    2

#define		linesz	    133	    /* Max size of a line	*/

/* Declarations							*/

typedef struct string
    {
    struct string	    *next;
    struct dsc$descriptor   desc;
    } STRING, *STRING_PTR;

typedef struct node
    {
    struct node		    *next;
    struct dsc$descriptor   spell;
    struct dsc$descriptor   item;
    struct string	    *hdr;
    } NODE, *NODE_PTR;
