$ verify = 'F$VERIFY(0)'
$!.. REQ2I.COM			BLISS .REQ file to intermediate .I file
$!.. Description/history at end of file.
$ SAY := WRITE SYS$OUTPUT
$ new_module = "!*** MODULE "
$ len_newmod = F$LENGTH( new_module)
$ copyright1 = "!*  COPYRIGHT "
$ len_cright1 = F$LENGTH( copyright1)
$ copyright2 = "! *  COPYRIGHT "
$ len_cright2 = F$LENGTH( copyright2)
$ IF p1 .EQS. "" THEN p1 = "STARLET.I"
$ p1 = F$PARSE( p1, "SYS$LIBRARY:STARLET.REQ")
$ p2 = F$PARSE( "SYS$DISK:[]", ".I", p1)
$ OPEN /READ	SI	'p1'
$ OPEN /WRITE	SO	'p2'
$ ON CONTROL_Y THEN $ GOTO DONE
$ ON ERROR THEN $ GOTO DONE
$ skipping = 1			!Skipping until first "Module" start seen
$ IF F$PARSE( p1,,, "NAME") .NES. "STARLET" THEN $ GOTO LOOP
$LOOP1ST:			!Skip starting lines up to "!--"
$ READ /END_OF_FILE=DONE  SI	line
$ IF line .NES. "!--" THEN $ GOTO LOOP1ST
$LOOP:
$ READ /END_OF_FILE=DONE  SI	line
$ IF F$EXTRACT(0, len_newmod, line) .EQS. new_module THEN $ GOSUB NEW_MODULE
$ IF skipping THEN $ GOTO LOOP
$ IF F$EXTRACT(0,1,line) .EQS. "!" THEN $ GOTO COMMENT_LINE
$ WRITE SO	line
$ GOTO LOOP
$COMMENT_LINE:
$ IF F$EXTRACT(0,4,line) .EQS. "!***" THEN $ GOTO CHECK_COPYRIGHT
$ IF F$EXTRACT(0,4,line) .EQS. "! **" THEN $ GOTO CHECK_COPYRIGHT
$ IF F$EXTRACT(0,12,line) .EQS. "! RMSMAC.REQ" THEN $ GOTO RMS_SKIPPING
$ WRITE SO	line
$ GOTO LOOP
$CHECK_COPYRIGHT:
$ READ /END_OF_FILE=DONE  SI	line2
$ IF F$EDIT( F$EXTRACT(0,len_cright1,line2), "UPCASE") .EQS. copyright1 THEN -
$	GOTO SKIP_COPYRIGHT
$ IF F$EDIT( F$EXTRACT(0,len_cright2,line2), "UPCASE") .EQS. copyright2 THEN -
$	GOTO SKIP_COPYRIGHT
$ READ /END_OF_FILE=DONE  SI	line3
$ IF F$EDIT( F$EXTRACT(0,len_cright1,line3), "UPCASE") .EQS. copyright1 THEN -
$	GOTO SKIP_COPYRIGHT
$ IF F$EDIT( F$EXTRACT(0,len_cright2,line3), "UPCASE") .EQS. copyright2 THEN -
$	GOTO SKIP_COPYRIGHT
$ IF .NOT. skipping THEN $ WRITE SO	line
$ line = line2
$ IF F$EXTRACT(0,12,line) .EQS. "! RMSMAC.REQ" THEN $ GOTO RMS_SKIPPING
$ IF F$EXTRACT(0, len_newmod, line) .EQS. new_module THEN $ GOSUB NEW_MODULE
$ IF .NOT. skipping THEN $ WRITE SO	line2
$ line = line3
$ IF F$EXTRACT(0,12,line) .EQS. "! RMSMAC.REQ" THEN $ GOTO RMS_SKIPPING
$ IF F$EXTRACT(0, len_newmod, line) .EQS. new_module THEN $ GOSUB NEW_MODULE
$ IF .NOT. skipping THEN $ WRITE SO	line3
$ GOTO LOOP
$SKIP_COPYRIGHT:
$ READ /END_OF_FILE=DONE  SI	line3
$ IF F$EXTRACT(0,4,line3) .NES. F$EXTRACT(0,4,line) THEN $ GOTO SKIP_COPYRIGHT
$ SAY "	(skipped CopyRight block)"
$ IF F$EXTRACT(0, len_newmod, line) .EQS. new_module THEN $ GOSUB NEW_MODULE
$ GOTO LOOP
$NEW_MODULE:
$ name = F$ELEMENT( 0, " ",  F$EDIT( line - new_module, "TRIM"))
$ SAY "  Starting module ",name
$ skipping = (name .EQS. "STARLET") .OR. (name .EQS. "$SSDEF")
$ skipping = skipping .OR. (name .EQS. "$SHRDEF")
$ IF skipping THEN $ SAY "	... skipping this module"
$ RETURN
$RMS_SKIPPING:
$ skipping = 1
$ SAY "	(Skipping RMSMAC.REQ definitions)"
$ GOTO LOOP
$DONE:
$ CLOSE SI
$ CLOSE SO
$ p2 = p2 - F$PARSE( p2,,, "VERSION")
$ EDIT/EDT/NOCOMMAND  'p2'
EXIT
$ PURGE  'p2'
$ EXIT	F$VERIFY(verify).OR.1
$!=============================================================================
$!+ REQ2I
$! Perform many of the repetitive operations necessary to convert a BLISS .REQ
$! file into a intermediate (.I) file for the REQ2H and REQ2FOR procedures.
$!
$!	@REQ2I  [input]
$!
$! The parameter is the input file specification, the default is STARLET.REQ
$! (in SYS$LIBRARY:).  The output is placed in the file using the filename
$! of the input file and the file type ".I".
$!-
$!=============================================================================
$! Modifications:
$!  17-Jun-86	FJN	Created from REQ2H
$!  18-Jun-86	FJN	Fixed problem with completely skipping LIB.REQ lines
$!			and another problem in Copyright blocks causing loss
$!			of first module after one (sometimes)
