$ VERIFY = 'F$VERIFY(0)'
$ FILE   := "''P1'"
$ SYM    := "''P2'
$ FULFIL := 'F$SEARCH(FILE)'
$!
$! If the file exits as specified in the input, pull the version number
$! off the full file name, increment it, and assign the new symbol.
$!
$ IF "''FULFIL'" .EQS. "" THEN GOTO OTHER
$ POS =   F$LOCATE(";",FULFIL) + 1
$ LEN =   F$LENGTH(FULFIL) - POS
$ VER := 'F$EXTRACT(POS,LEN,FULFIL)'
$ VER := 'F$STRING(F$INTEGER(VER) + 1)'
$ 'SYM' :== "''F$EXTRACT(0,POS,FULFIL)'''VER'"
$ GOTO REZOOM
$!
$OTHER: 
$ IF F$LOCATE(";",FILE) .NE. F$LENGTH(FILE) THEN GOTO CASE2
$ 'SYM' :== 'FILE';1
$ GOTO REZOOM
$CASE2: 
$ POS =   F$LOCATE(";",FILE) + 1
$ LEN =   F$LENGTH(FILE) - POS
$ VER := 'F$EXTRACT(POS,LEN,FILE)'
$ VER := 'F$STRING(F$INTEGER(VER) + 1)'
$ 'SYM' :== "''F$EXTRACT(0,POS,FILE)'''VER'"
$REZOOM:  
$ IF VERIFY .EQ. 1 THEN SET VERIFY
$ EXIT
$!****************************************************************************
$!			Procedure NEXTVER
$!****************************************************************************
$!
$!	Procedure Description
$!	---------------------
$!		NEXTVER assigns a user specified global SYM to 
$!	the incremented VER file spec. of the given input file.
$!	If the file already exits, the full file spec is assigned. If it
$!	doesn't, the file spec. as given is incremented.
$!
$!****************************************************************************
